Bug 224712 - graphics/zathura: graphics/mupdf: graphics/zathura-pdf-mupdf: update
Summary: graphics/zathura: graphics/mupdf: graphics/zathura-pdf-mupdf: update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-12-29 18:10 UTC by Zsolt Udvari
Modified: 2018-01-11 14:23 UTC (History)
2 users (show)

See Also:


Attachments
mupdf update patch (8.40 KB, patch)
2017-12-29 18:10 UTC, Zsolt Udvari
no flags Details | Diff
zathura update (1.55 KB, patch)
2017-12-29 18:11 UTC, Zsolt Udvari
quentin.stievenart: maintainer-approval+
Details | Diff
zathura-pdf-mupdf update (910 bytes, patch)
2017-12-29 18:11 UTC, Zsolt Udvari
uzsolt: maintainer-approval+
Details | Diff
llpp.diff (53.73 KB, patch)
2017-12-29 20:32 UTC, Tobias Kortkamp
tobik: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2017-12-29 18:10:15 UTC
Created attachment 189202 [details]
mupdf update patch

graphics/mupdf:
- update to 1.12.0
- use glut
- changes: http://git.ghostscript.com/?p=mupdf.git;a=blob;f=CHANGES;h=e37c478a397198eae4c62f623747229c18e9035d;hb=HEAD

graphics/zathura:
- update to 0.3.8
- add APPDATAPREFIX to MAKE_ARGS
- replace USES and USE_GNOME because of portlint

graphics/zathura-pdf-mupdf:
- update to 0.3.2

The zathura-pdf-mupdf doesn't build the older version of zathura (0.3.7).

Poudriere testports passed.
Comment 1 Zsolt Udvari 2017-12-29 18:11:03 UTC
Created attachment 189203 [details]
zathura update
Comment 2 Zsolt Udvari 2017-12-29 18:11:37 UTC
Created attachment 189204 [details]
zathura-pdf-mupdf update
Comment 3 Tobias Kortkamp freebsd_committer 2017-12-29 20:32:11 UTC
Created attachment 189208 [details]
llpp.diff

Thank you.

This breaks graphics/llpp so here is an update for it as well.
Comment 4 Zsolt Udvari 2017-12-30 07:40:56 UTC
(In reply to Tobias Kortkamp from comment #3)
Maybe an update to v26?
Comment 5 Tobias Kortkamp freebsd_committer 2017-12-30 09:21:19 UTC
(In reply to Zsolt Udvari from comment #4)
It's unfortunately not possible at the moment because we only have
Ocaml 4.02 in the ports tree.  Newer llpp version require at least
Ocaml 4.04.

The effort to update Ocaml seems to have stalled.  See bug #218333.
Comment 6 Zsolt Udvari 2018-01-02 14:14:17 UTC
(In reply to Tobias Kortkamp from comment #5)
Oh, understand.
Comment 7 commit-hook freebsd_committer 2018-01-11 14:20:01 UTC
A commit references this bug:

Author: tobik
Date: Thu Jan 11 14:19:45 UTC 2018
New revision: 458740
URL: https://svnweb.freebsd.org/changeset/ports/458740

Log:
  graphics/mupdf: Update to 1.12.0

  Changes:	http://git.ghostscript.com/?p=mupdf.git;a=blob;f=CHANGES;h=e37c478a397198eae4c62f623747229c18e9035d;hb=HEAD
  PR:		224712
  Submitted by:	Zsolt Udvari <uzsolt@uzsolt.hu> (maintainer)

Changes:
  head/graphics/mupdf/Makefile
  head/graphics/mupdf/distinfo
  head/graphics/mupdf/files/patch-Makefile
  head/graphics/mupdf/files/patch-Makerules
  head/graphics/mupdf/files/patch-scripts_hexdump.c
  head/graphics/mupdf/files/patch-source__fitz__load-jpx.c
  head/graphics/mupdf/pkg-plist
Comment 8 commit-hook freebsd_committer 2018-01-11 14:21:04 UTC
A commit references this bug:

Author: tobik
Date: Thu Jan 11 14:20:09 UTC 2018
New revision: 458741
URL: https://svnweb.freebsd.org/changeset/ports/458741

Log:
  graphics/zathura: Update to 0.3.8

  PR:		224712
  Submitted by:	Zsolt Udvari <uzsolt@uzsolt.hu>
  Approved by:	quentin.stievenart@gmail.com (maintainer)

Changes:
  head/graphics/zathura/Makefile
  head/graphics/zathura/distinfo
Comment 9 commit-hook freebsd_committer 2018-01-11 14:21:06 UTC
A commit references this bug:

Author: tobik
Date: Thu Jan 11 14:20:39 UTC 2018
New revision: 458742
URL: https://svnweb.freebsd.org/changeset/ports/458742

Log:
  graphics/zathura-pdf-mupdf: Update to 0.3.2

  Fixes build with MuPDF 1.12.0

  PR:		224712
  Submitted by:	Zsolt Udvari <uzsolt@uzsolt.hu> (maintainer)

Changes:
  head/graphics/zathura-pdf-mupdf/Makefile
  head/graphics/zathura-pdf-mupdf/distinfo
Comment 10 commit-hook freebsd_committer 2018-01-11 14:22:09 UTC
A commit references this bug:

Author: tobik
Date: Thu Jan 11 14:21:22 UTC 2018
New revision: 458743
URL: https://svnweb.freebsd.org/changeset/ports/458743

Log:
  graphics/llpp: Fix build with MuPDF 1.12.0

  llpp > 25 supports MuPDF 1.12.0 out of the box however we currently
  lack Ocaml 4.04 in the ports tree.  llpp 25 is the last version that
  supports Ocaml 4.02, so backport some changes instead.

  PR:		224712

Changes:
  head/graphics/llpp/Makefile
  head/graphics/llpp/files/patch-link.c